#pragma once


// CLibrary dialog

class CLibrary : public CDHtmlDialog
{
	DECLARE_DYNCREATE(CLibrary)

public:
	CLibrary(CWnd* pParent = NULL);   // standard constructor
	virtual ~CLibrary();
// Overrides
	HRESULT OnButtonOK(IHTMLElement *pElement);
	HRESULT OnButtonCancel(IHTMLElement *pElement);
	


	void InitialDialog();

	
	CImageList * pmyImageList;
// Dialog Data
	enum { IDD = IDD_DIALOGBAR, IDH = IDR_HTML_LIBRARY };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();

	DECLARE_MESSAGE_MAP()
	DECLARE_DHTML_EVENT_MAP()
};
